Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Closed Priority: Should have
TYPO3 Version: 6.2
Complexity:
Is Regression: No
Sprint Focus:
Subject: In some matter the package manager duplicates entries in PackageState which leads to fatals
Description

Upon installing an extension which dependencies could not be resolved I ended up with

"Fatal error: Uncaught exception 'TYPO3\Flow\Package\Exception\InvalidPackageStateException' with message 'Package
"filemetadata" is already registered.' "

In the packagestates file entries for sysexts where duplicated... needed to delete the packagestates file.

Related issues:
duplicated by Core - Bug # 55963: Fatal error when upgrading to 6.2 beta 5 Closed 2014-02-13

History
#1 - 2014-02-12 09:52 - Ernesto Baschny
- Parent task set to #47018

#2 - 2014-02-12 10:15 - Thomas Maroschik
- Assigned To set to Thomas Maroschik

Could you help me to reproduce the issue? The EM just told me that an unresolvable dependency could not be installed from TER.

Are you using composer files for your extensions yet?

#3 - 2014-02-12 10:25 - Steffen Ritter

Yes composer.json present

a, had solr master installed version 3.0.0-dev

b, wanted to install solrfal

ext_emconf.php depency: typo3 6.2.0-6.2.99
solr: '3.0.0'

composer.json depency 
php >= 5.3.7
solr could not be fulfilled because it is -dev....
Trying the second time I had a totatlly messed up PackageStates.php

#4 - 2014-02-13 19:17 - Markus Klein
- Assigned To deleted (Thomas Maroschik)

Have a look at #55963 as well.

#5 - 2014-02-13 19:18 - Markus Klein
- Assigned To set to Thomas Maroschik

#6 - 2014-03-09 20:03 - Martin Holtz

Hi,

i got the same issue, while updating from Beta4 to Beta6

PackageStates.php: has two entries for filemetadata

    'typo3.cms.filemetadata' =>
    array (
      'manifestPath' => '',
      'composerName' => 'typo3/cms/filemetadata',
      'state' => 'inactive',
      'packagePath' => 'typo3/sysext/filemetadata/',
      'classesPath' => 'Classes/',
    ),

and

    'filemetadata' =>
    array (
      'manifestPath' => '', 
      'composerName' => 'typo3/cms-filemetadata',
      'state' => 'inactive',
      'packagePath' => 'typo3/sysext/filemetadata/',
      'classesPath' => 'Classes/',
    ),

#7 - 2014-03-10 12:27 - Markus Klein
- Status changed from New to Needs Feedback

IMHO having such a "breaking change" inbetween beta versions is ok. Nobody guarantees that upgrading in between them is supported.

Steffen, if you agree I'd suggest to close this.
#8 - 2014-05-16 16:35 - mathias petermann

I got exactly the same problem (two filemetadata entries in PackageStates.php), upgrading from 6.1.5 to 6.2.2.

So the problem, not only exists between Beta versions, but also when upgrading from a Stable Release.

#9 - 2014-05-16 22:06 - Markus Klein
- Status changed from Needs Feedback to Accepted

Can you give us any hint how to reproduce this

#10 - 2014-07-07 13:24 - mathias petermann

I'm sorry, forget what I wrote above. It doesn't happen, if you properly update from 6.1 to 6.2.

One of my colleagues pushed a PackageStates.php file, he created with RC1, which lead to my problems during upgrade.

#11 - 2014-07-07 13:29 - Markus Klein
- Status changed from Accepted to Closed
- Assigned To deleted (Thomas Maroschik)
